Skip to content

Create a User Generated Content item

Request

Creates a new User Generated Content item authored by the authenticated user. The item may be created as a draft or submitted directly as published, depending on the publication_state provided.

Security
oauth2_as_a_user(Required scopes: content.write)
Bodyapplication/json

Attributes of the User Generated Content item to create.

titlestring

The title of the content.

bodystring

The rich-text body of the content.

summarystring

A short summary of the content.

content_coverobject

The cover media (image or video) attached to the content.

topic_idsArray of integers

The ids of the topics the content should be submitted to.

attachmentsArray of objects

Media attachments included with the content.

notification_channelsobject

Configuration for how followers should be notified about this content.

is_translatableboolean

Whether the content should be machine-translated for readers.

is_commentableboolean

Whether comments are allowed on the content.

is_shareableboolean

Whether the content can be shared by readers.

publication_statestring

The desired state of the content once created.

Enum:"draft""published"
curl -i -X POST \
  https://partner.socialchorus.com/v2/ugc/contents \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "title": "string",
    "body": "string",
    "summary": "string",
    "content_cover": {},
    "topic_ids": [
      0
    ],
    "attachments": [
      {}
    ],
    "notification_channels": {},
    "is_translatable": true,
    "is_commentable": true,
    "is_shareable": true,
    "publication_state": "draft"
  }'

Responses

Created

Bodyapplication/json
dataobjectrequired

The created User Generated Content item.

Response
{ "data": {} }